Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class HTMLRenderOption

    java.lang.Object
      org.eclipse.birt.report.engine.api.TaskOption
          org.eclipse.birt.report.engine.api.RenderOption
              org.eclipse.birt.report.engine.api.HTMLRenderOption

All Implemented Interfaces:
  IHTMLRenderOption, IRenderOption, ITaskOption

Direct Known Subclasses:
  HTMLEmitterConfig

    public class HTMLRenderOption

extends RenderOption
implements IHTMLRenderOption

output settings for HTML output format

Field Summary

Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption
`options`

Fields inherited from interface org.eclipse.birt.report.engine.api.IHTMLRenderOption
`BASE_IMAGE_URL, HTML, HTML_DISPLAY_FILTER_ICON, HTML_DISPLAY_GROUP_ICON, HTML_ENABLE_AGENTSTYLE_ENGINE, HTML_ENABLE_INLINE_STYLE, HTML_ENABLE_METADATA, HTML_ID_NAMESPACE, HTML_INCLUDE_SELECTION_HANDLE, HTML_INDENT, HTML_LAYOUT_PREFERENCE, HTML_NOCSS, HTML_OUTPUT_MASTER_PAGE_MARGINS, HTML_RTL_FLAG, HTML_TITLE, HTML_TYPE, HTML_WRAP_TEMPLATE_TABLE, IMAGE_DIRECTROY, INSTANCE_ID_LIST, LAYOUT_PREFERENCE_AUTO, LAYOUT_PREFERENCE_FIXED, MASTER_PAGE_CONTENT, METADATA_FILTER, PAGEFOOTER_FLOAT_FLAG, URL_ENCODING, USER_AGENT`

Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

Constructor Summary
`HTMLRenderOption()` Default constructor.
`HTMLRenderOption(java.util.HashMap options)`
`HTMLRenderOption(IRenderOption options)` Constructor

Method Summary
`java.lang.String` | `getBaseImageURL()` returns the base url for creating image URL
`boolean` | `getDisplayFilterIcon()`
`boolean` | `getDisplayGroupIcon()`
`boolean` | `getEmbeddable()`
`boolean` | `getEnableAgentStyleEngine()`
`boolean` | `getEnableInlineStyle()`
`boolean` | `getEnableMetadata()`
`java.lang.String` | `getHTMLIDNamespace()`
`boolean` | `getHTMLIndent()`
`boolean` | `getHtmlPagination()` Get html pagination.
`boolean` | `getHtmlRtLFlag()` Get Html RTL flag.
`java.lang.String` | `getHtmlTitle()`
`java.lang.String` | `getImageDirectory()` returns the image directory that engine stores images and charts into
`boolean` | `getIncludeSelectionHandle()` Deprecated. includeSelectionHandle is replaced by eanableMetadata flag.
`java.util.List` | `getInstanceIDs()`
`java.lang.String` | `getLayoutPreference()`
`boolean` | `getMasterPageContent()` Get master page content.
`IMetadataFilter` | `getMetadataFilter()`
`boolean` | `getOutputMasterPageMargins()`
`boolean` | `getPageFooterFloatFlag()` Get page footer float flag.
`java.lang.String` | `getUrlEncoding()`
`java.lang.String` | `getUserAgent()`
`boolean` | `getWrapTemplateTable()`
`void` | `setBaseImageURL(java.lang.String baseImageURL)` sets the base image URL for image handling
`void` | `setDisplayFilterIcon(boolean displayFilterIcon)` Sets the flag indicationg that if filter icons should be displayed.
`void` | `setDisplayGroupIcon(boolean displayGroupIcon)` Sets the flag indicationg that if group expand/collapse icons should be displayed.
`void` | `setEmbeddable(boolean embeddable)` sets whether the HTML output can be embedded directly into an HTML page
`void` | `setEnableAgentStyleEngine(boolean enableAgentStyleEngine)` Sets the flag indicationg that agentStyleEngine is enabled or not.
`void` | `setEnableInlineStyle(boolean inlineStyleFlag)` Sets the flag indicating that Trying to use inline style instead of CSS class style.
`void` | `setEnableMetadata(boolean enableMetadata)` Sets the flag which indicating if metadata should be output.
`void` | `setHTMLIDNamespace(java.lang.String id)` sets the HTML ID namespace.
`void` | `setHTMLIndent(boolean indent)` Sets the flag indicating that if the HTML should be indented.
`void` | `setHtmlPagination(boolean paginate)` Set html pagination.
`void` | `setHtmlRtLFlag(boolean flag)` Set Html RTL flag.
`void` | `setHtmlTitle(java.lang.String htmlTitle)`
`void` | `setImageDirectory(java.lang.String imageDirectory)` sets the image directory that engine stores images and charts into
`void` | `setIncludeSelectionHandle(boolean option)` Deprecated. includeSelectionHandle is replaced by eanableMetadata flag.
`void` | `setInstanceIDs(java.util.List instanceIDs)`
`void` | `setLayoutPreference(java.lang.String layoutPreference)` Sets the flag indicationg that if the table should be outed as fixed.
`void` | `setMasterPageContent(boolean show)` Set master page content.
`void` | `setMetadataFilter(IMetadataFilter filter)`
`void` | `setOutputMasterPageMargins(boolean outputMasterPageMargins)` Sets the flag indicationg that output the master page's margins for the auto layout report or not.
`void` | `setPageFooterFloatFlag(boolean flag)` Set page footer float flag.
`void` | `setUrlEncoding(java.lang.String encoding)` Set the URL encoding for the request.
`void` | `setUserAgent(java.lang.String userAgent)`
`void` | `setWrapTemplateTable(boolean wrapTemplateTable)` Sets the flag indicationg that if the top-level table should be wrapped.

Methods inherited from class org.eclipse.birt.report.engine.api.RenderOption
`closeOutputStreamOnExit, getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, needCloseOutputStreamOnExit, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption
`getBooleanOption, getIntOption, getOption, getOptions, getStringOption, hasOption, setOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Constructor Detail

### HTMLRenderOption

    public HTMLRenderOption(IRenderOption options)

  Constructor

### HTMLRenderOption

    public HTMLRenderOption(java.util.HashMap options)

### HTMLRenderOption

    public HTMLRenderOption()

  Default constructor.

Method Detail

### getInstanceIDs

    public java.util.List getInstanceIDs()

  Specified by:
    `getInstanceIDs` in interface `IHTMLRenderOption`
  Returns:
    Returns the instanceIDs.

### setInstanceIDs

    public void setInstanceIDs(java.util.List instanceIDs)

  Specified by:
    `setInstanceIDs` in interface `IHTMLRenderOption`
  Parameters:
    `instanceIDs` - The instanceIDs to set.

### setEmbeddable

    public void setEmbeddable(boolean embeddable)

  sets whether the HTML output can be embedded directly into an HTML page

  Specified by:
    `setEmbeddable` in interface `IHTMLRenderOption`
  Parameters:
    `embeddable` - whether the HTML output can be embedded directly into an HTML page

### getEmbeddable

    public boolean getEmbeddable()

  Specified by:
    `getEmbeddable` in interface `IHTMLRenderOption`
  Returns:
    whether the output is embeddable

### setUserAgent

    public void setUserAgent(java.lang.String userAgent)

  Specified by:
    `setUserAgent` in interface `IHTMLRenderOption`
  Parameters:
    `userAgent` - the user agent of the request

### getUserAgent

    public java.lang.String getUserAgent()

  Specified by:
    `getUserAgent` in interface `IHTMLRenderOption`
  Returns:
    the user agent for the request

### setUrlEncoding

    public void setUrlEncoding(java.lang.String encoding)

  Set the URL encoding for the request.

  Specified by:
    `setUrlEncoding` in interface `IHTMLRenderOption`

### getUrlEncoding

    public java.lang.String getUrlEncoding()

  Specified by:
    `getUrlEncoding` in interface `IHTMLRenderOption`
  Returns:
    the user agent for the request

### setMasterPageContent

    public void setMasterPageContent(boolean show)

  Set master page content.

  Specified by:
    `setMasterPageContent` in interface `IHTMLRenderOption`

### getMasterPageContent

    public boolean getMasterPageContent()

  Get master page content.

  Specified by:
    `getMasterPageContent` in interface `IHTMLRenderOption`
  Returns:

### setHtmlPagination

    public void setHtmlPagination(boolean paginate)

  Set html pagination.

  Specified by:
    `setHtmlPagination` in interface `IHTMLRenderOption`

### getHtmlPagination

    public boolean getHtmlPagination()

  Get html pagination.

  Specified by:
    `getHtmlPagination` in interface `IHTMLRenderOption`
  Returns:

### setIncludeSelectionHandle

    public void setIncludeSelectionHandle(boolean option)

  Deprecated. includeSelectionHandle is replaced by eanableMetadata flag.

  Specified by:
    `setIncludeSelectionHandle` in interface `IHTMLRenderOption`

### getIncludeSelectionHandle

    public boolean getIncludeSelectionHandle()

  Deprecated. includeSelectionHandle is replaced by eanableMetadata flag.

  Specified by:
    `getIncludeSelectionHandle` in interface `IHTMLRenderOption`

### setHtmlRtLFlag

    public void setHtmlRtLFlag(boolean flag)

  Set Html RTL flag.

  Specified by:
    `setHtmlRtLFlag` in interface `IHTMLRenderOption`

### getHtmlRtLFlag

    public boolean getHtmlRtLFlag()

  Get Html RTL flag.

  Specified by:
    `getHtmlRtLFlag` in interface `IHTMLRenderOption`
  Returns:

### setHtmlTitle

    public void setHtmlTitle(java.lang.String htmlTitle)

  Specified by:
    `setHtmlTitle` in interface `IHTMLRenderOption`
  Parameters:
    `htmlTile` -

### getHtmlTitle

    public java.lang.String getHtmlTitle()

  Specified by:
    `getHtmlTitle` in interface `IHTMLRenderOption`
  Returns:
    the default html title

### setPageFooterFloatFlag

    public void setPageFooterFloatFlag(boolean flag)

  Set page footer float flag.

  Specified by:
    `setPageFooterFloatFlag` in interface `IHTMLRenderOption`

### getPageFooterFloatFlag

    public boolean getPageFooterFloatFlag()

  Get page footer float flag.

  Specified by:
    `getPageFooterFloatFlag` in interface `IHTMLRenderOption`
  Returns:

### setEnableMetadata

    public void setEnableMetadata(boolean enableMetadata)

  Sets the flag which indicating if metadata should be output.

  Specified by:
    `setEnableMetadata` in interface `IHTMLRenderOption`
  Parameters:
    `enableMetadata` - the flag

### getEnableMetadata

    public boolean getEnableMetadata()

  Specified by:
    `getEnableMetadata` in interface `IHTMLRenderOption`
  Returns:
    the enable metadata flag value.

### setDisplayFilterIcon

    public void setDisplayFilterIcon(boolean displayFilterIcon)

  Sets the flag indicationg that if filter icons should be displayed.

  Specified by:
    `setDisplayFilterIcon` in interface `IHTMLRenderOption`
  Parameters:
    `displayFilterIcon` - the flag

### getDisplayFilterIcon

    public boolean getDisplayFilterIcon()

  Specified by:
    `getDisplayFilterIcon` in interface `IHTMLRenderOption`
  Returns:
    the display filter icon flag value.

### setDisplayGroupIcon

    public void setDisplayGroupIcon(boolean displayGroupIcon)

  Sets the flag indicationg that if group expand/collapse icons should be displayed.

  Specified by:
    `setDisplayGroupIcon` in interface `IHTMLRenderOption`
  Parameters:
    `displayGroupIcon` - the flag

### getDisplayGroupIcon

    public boolean getDisplayGroupIcon()

  Specified by:
    `getDisplayGroupIcon` in interface `IHTMLRenderOption`
  Returns:
    the group expand/collapse icon flag value.

### getImageDirectory

    public java.lang.String getImageDirectory()

  returns the image directory that engine stores images and charts into

  Specified by:
    `getImageDirectory` in interface `IHTMLRenderOption`
  Returns:
    the image directory.

### setImageDirectory

    public void setImageDirectory(java.lang.String imageDirectory)

  sets the image directory that engine stores images and charts into

  Specified by:
    `setImageDirectory` in interface `IHTMLRenderOption`
  Parameters:
    `imageDirectory` - the image directory that engine stores images and charts into

### getBaseImageURL

    public java.lang.String getBaseImageURL()

  returns the base url for creating image URL

  Specified by:
    `getBaseImageURL` in interface `IHTMLRenderOption`
  Returns:
    Rreturn the abse image url

### setBaseImageURL

    public void setBaseImageURL(java.lang.String baseImageURL)

  sets the base image URL for image handling

  Specified by:
    `setBaseImageURL` in interface `IHTMLRenderOption`
  Parameters:
    `baseImageURL` - the base image URL

### setWrapTemplateTable

    public void setWrapTemplateTable(boolean wrapTemplateTable)

  Sets the flag indicationg that if the top-level table should be wrapped.

  Parameters:
    `wrapTemplateTable` - the flag

### getWrapTemplateTable

    public boolean getWrapTemplateTable()

  Returns:
    the group expand/collapse icon flag value.

### setLayoutPreference

    public void setLayoutPreference(java.lang.String layoutPreference)

  Sets the flag indicationg that if the table should be outed as fixed.

  Parameters:
    `layoutPreference` - the flag

### getLayoutPreference

    public java.lang.String getLayoutPreference()

  Returns:
    the table layout fixed flag value.

### setEnableAgentStyleEngine

    public void setEnableAgentStyleEngine(boolean enableAgentStyleEngine)

  Sets the flag indicationg that agentStyleEngine is enabled or not.

  Parameters:
    `enableAgentStyleEngine` - True: means the HTML emitter will output the BIRT styles directly to the report and depends on the browser to implement the style calculation. False: means the HTML emitter will use BIRT style engine to calculate the styles and output the result to the report.

### getEnableAgentStyleEngine

    public boolean getEnableAgentStyleEngine()

  Returns:
    the agentStyleEngine enabled flag value.

### setOutputMasterPageMargins

    public void setOutputMasterPageMargins(boolean outputMasterPageMargins)

  Sets the flag indicationg that output the master page's margins for the auto layout report or not.

  Parameters:
    `outputMasterPageMargins` - True: means the HTML emitter will output the master page's margins for auto report. False: means the HTML emitter won't output the master page's margins for auto report.

### getOutputMasterPageMargins

    public boolean getOutputMasterPageMargins()

  Returns:
    the outputMasterPageMargins flag value.

### setHTMLIDNamespace

    public void setHTMLIDNamespace(java.lang.String id)

  sets the HTML ID namespace.

  Parameters:
    `id` - the viewer id

### getHTMLIDNamespace

    public java.lang.String getHTMLIDNamespace()

  Returns:
    the HTML ID namespace.

### setHTMLIndent

    public void setHTMLIndent(boolean indent)

  Sets the flag indicating that if the HTML should be indented.

  Parameters:
    `indent` - the flag

### getHTMLIndent

    public boolean getHTMLIndent()

  Returns:
    the HTML indent flag value. The default value is true.

### setMetadataFilter

    public void setMetadataFilter(IMetadataFilter filter)

### getMetadataFilter

    public IMetadataFilter getMetadataFilter()

### setEnableInlineStyle

    public void setEnableInlineStyle(boolean inlineStyleFlag)

  Sets the flag indicating that Trying to use inline style instead of CSS class style. This option only works when the report is embeddable.

  Parameters:
    `inlineStyleFlag` - the flag

### getEnableInlineStyle

    public boolean getEnableInlineStyle()

  Returns:
    the inline style flag value. The default value is false. True: Try to using the inline style to instead of style class. Fals: Try to use the style class to compress the HTML source.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.